summaryrefslogtreecommitdiff
path: root/vcs.d/50vcs-cmd
diff options
context:
space:
mode:
authorJoey Hess <joey@kitenet.net>2010-07-16 15:18:36 -0400
committerJoey Hess <joey@kitenet.net>2010-07-16 15:18:36 -0400
commitfc17370becb9cfc78ac2e572f405149469d03731 (patch)
treefc676bef00fe1d3a5ca7f60f29827bb67eab4651 /vcs.d/50vcs-cmd
parentf5be6c8c780bc16fba9f58372ea4a1d209d05bde (diff)
move to middle
Diffstat (limited to 'vcs.d/50vcs-cmd')
-rwxr-xr-xvcs.d/50vcs-cmd11
1 files changed, 11 insertions, 0 deletions
diff --git a/vcs.d/50vcs-cmd b/vcs.d/50vcs-cmd
new file mode 100755
index 0000000..074523d
--- /dev/null
+++ b/vcs.d/50vcs-cmd
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -e
+
+IFS='
+'
+
+# check whether we can locate the vcs binary
+if [ -n "$VCS" ] && which "$VCS" > /dev/null; then
+ # pass commands to the VCS application
+ $VCS $@
+fi